Subject: bug#51768: closed (Re: bug#51768: 29.0.50; User font settings are ignored (Win10))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 Nov 2021 15:27:02 +0000

Your bug report

#51768: 29.0.50; User font settings are ignored (Win10)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51768: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51768
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51768: 29.0.50; User font settings are ignored (Win10)
From: Arash Esbati <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sat, 13 Nov 2021 16:25:58 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Arash Esbati <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 11 Nov 2021 21:49:25 +0100
>> 
>> 
>> [1:text/plain Hide]
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > I think I figured it out.  It seems to be a cockpit error: the
>> > "Medium" part is not part of the :family, and you already say
>> > ":weight medium" in the attributes anyway.  Try this instead:
>> >
>> >  '(default ((t (:family "Source Code Pro" :foundry "outline" :slant
>> > normal :weight medium :height 90 :width normal))))
>> >
>> > With this, I get the same results as with an older Emacs.  It is true
>> > that the older Emacs also accepted "Source Code Pro Medium" as the
>> > family, but the result was that it loaded the same font as the master
>> > branch without "Medium".
>> >
>> > Does this resolve your issue?
>> 
>> No, it doesn't.  I updated my local git repo and built a fresh Emacs.
>> I'm comparing New (6c9ac53249) with Old (41b1fa05c7).
>> 
>> With '(default ((t (:family "Source Code Pro Medium" :foundry
>> "outline" :slant normal :weight medium :height 90 :width normal))))
>> 
>> - Old uses Source Code Pro Medium font (good)
>> - New uses Arial (bad)
>> 
>>  With '(default ((t (:family "Source Code Pro" :foundry "outline"
>> :slant normal :weight medium :height 90 :width normal))))
>> 
>> - Old uses Source Code Regular font (bad)
>> - New uses Source Code Regular font (bad)
>
> Should be fixed now.

Yes, it's fixed.  Many thanks for the quick fix.  I'm closing this
report.

Best, Arash

Subject: 29.0.50; User font settings are ignored (Win10)
From: Arash Esbati <[email-masked]>
To: emacs-bugs <[email-masked]>
Date: Thu, 11 Nov 2021 16:18:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I've customized my fonts like this:

(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:family "Source Code Pro Medium" :foundry "outline" :slant normal :weight medium :height 90 :width normal))))
 '(fixed-pitch ((t (:inherity default)))))

Emacs from master (3e23494394) ignores these settings and starts with
Arial which looks likte this:

My last build (41b1fa05c7) works as expected.  To reproduce:

1) Make a minimal init file with the code above
2) Start emacs

This is on Win10 with Msys2.

Best, Arash